index_set_add_op< T >
Inheritance diagram for index_set_add_op< T >:

## Public Member Functions

T & | operator() (T &x, const T &y) const
T & | operator() (T &x, const typename T::value_type &y) const

## Detailed Description

### template<class T>
struct rheolef::index_set_add_op< T >

Definition at line 108 of file index_set_header.icc.

## Member Function Documentation

## operator()() [1/2]

T& operator() | ( | T & | x,
|  | const T & | y
| ) |  | const

Definition at line 109 of file index_set_header.icc.

## operator()() [2/2]

T& operator() | ( | T & | x,
|  | const typename T::value_type & | y
| ) |  | const

Definition at line 110 of file index_set_header.icc.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/index_set_header.icc